Subject: [RTG-DIR] draft-ietf-sfc-use-case-mobility-07 - RTG-DIR review

From: "Susan Hares" <[email-masked]>
Date: Sat, 7 Jan 2017 17:50:03 -0500

Martin, Diego, Jim, Walter, and Jeffrey: 

Thank you for such a well-written document which provides a nice set of use
cases. I have just a few editorial nits for you to consider fixing: 

Summary: This document is ready for publication, but it has a few nits
(security question, and editorial points) that should be considered before
publication.  

Security question:  Section 7 points out that metadata contains sensitive
information.   I would suggest that you provide a short summary of threats
that this metadata presents or point to a security document that provides
these nits.  As a reader, I would appreciate it if you did both.  

Editorial: 8 nits. Please resolve #5, #7 and #8 before publication. 

#1 Page 4 

Old/: In many cases application- specific IP traffic is not directly
exchanged between the original mobile network, more specifically the P-GW,
and an application platform, but will be forced to pass a set of service
functions. 

/

New: /In many cases application-specific IP traffic is not directly exchange
between the original mobile network (more specifically the P-GW), and an
application platform, but will be forced to pass a set of service functions.

/

Why #1a:  application- specific - needs to be changed to
application-specific 

Why #1b:  "mobile network, more specifically the P-GW,"  - did not flow as
well as the use of (more specifically the P-GW)" - but this may just be a
style moment. 

#2 Page 5, Section 1.2 

NAPT - this abbreviation is not spelled out.  It is customary to spell it
out in the first use. 

#3 page 5, Section 1.3 

FTTH - it would be useful to spell this out.  

#4) 

Page 11, section 2.4 

In the sentences: 

Typical metadata and their sources are: 

UE: . 

GTP tunnel endpoint: . 

PCRF: . 

It would be good to use an indent for each of these key words. 

#5 p. 11, section 2.4 

At the last paragraph,  in the sentences that begins "The Traffic Steering
Support Function (TSSF) has been defined recently (since Rel. 13)"

It would be good to indicate which document's release 13 or if you intend a
series of documents to explain this with a note. 

#6, section 3.1 paragraph 5, first sentence 

Old: /Last but not least the behavior/

New: /Last but not least, the behavior/

Why: Most common English usage places the idiom "last but not least" between
commas if it is in the middle of a sentence.  At the beginning of a sentence
"Last but not least" has a comma immediately after. 

#7: section 3.1.1, paragraph 1, sentence 3

Old:/This classification could be done by the load balancer (see Figure 6),
possibility directed by a TSFF (not shown), if it initiates the service
change selection, or if the traffic can be reclassified at the load balancer
if the traffic is already embedded in a Service Chain (e.g. when combined
with other functions such as the TCP optimization in the following use
case)./

New: (suggestion):/

This traffic classification could be done by:

.         the load balancer (see figure 6),   

.         possibility directed by the TSFF (not shown in figure 6) - if it
initiates the service change selection,  

.         load balancer as part of a reclassification- if the traffic is
already embedded in a Service chain (e.g. when combined with other functions
such as the TCP optimization in the following use case. 

/ 

Why: Most of your sentences are easy to read and clear, but this sentence
was hard to read and unclear.  Perhaps you could retain most of the original
text with this simple formatting changes.  The technical points in the
sentence are very valuable. 

#8 - Section 4, paragraph 1, sentence 3

In sentence 2 and 3, you use Diameter based Gx or Sd reference point. 

You do not introduce St in [TS.23.203] as abbreviation or reference point.
Please clarify this point. 

Sue Hares 

[email-masked]

---

From: Martin Stiemerling <[email-masked]>
Date: Thu, 19 Jan 2017 18:41:11 +0100

Hi Susan,

Thanks for your careful review!

I am stuck still for the next two weeks with my day job and will get to 
your review in detail then.

Thanks!

   Martin

Am 07.01.17 um 23:50 schrieb Susan Hares:
> Thank you for such a well-written document which provides a nice set of
> use cases. I have just a few editorial nits for you to consider fixing:
>
> *Summary*: This document is ready for publication, but it has a few nits
> (security question, and editorial points) that should be considered
> before publication.
>
> *Security question*:  Section 7 points out that metadata contains
> sensitive information.   I would suggest that you provide a short
> summary of threats that this metadata presents or point to a security
> document that provides these nits.  As a reader, I would appreciate it
> if you did both.
>
> *Editorial:* 8 nits. Please resolve #5, #7 and #8 before publication.
>
>
>
> #1 Page 4
>
> exchanged between the original mobile network, more specifically the
> P-GW, and an application platform, but will be forced to pass a set of
> service functions.
>
> /
>
>
>
> New: /In many cases application-specific IP traffic is not directly
> exchange between the original mobile network (more specifically the
> P-GW), and an application platform, but will be forced to pass a set of
> service functions.
>
> /
>
>
>
> Why #1a:  application- specific – needs to be changed to
> application-specific
>
> Why #1b:  “mobile network, more specifically the P-GW,”  - did not flow
> as well as the use of (more specifically the P-GW)” – but this may just
> be a style moment.
>
>
>
> #2 Page 5, Section 1.2
>
> NAPT – this abbreviation is not spelled out.  It is customary to spell
> it out in the first use.
>
>
>
> #3 page 5, Section 1.3
>
> FTTH – it would be useful to spell this out.
>
>
>
> #4)
>
> Page 11, section 2.4
>
>
>
> In the sentences:
>
> UE: …
> GTP tunnel endpoint: …
> PCRF: …
> At the last paragraph,  in the sentences that begins “The Traffic
> Steering Support Function (TSSF) has been defined recently (since Rel. 13)”
>
>
>
> It would be good to indicate which document’s release 13 or if you
> intend a series of documents to explain this with a note.
>
>
>
> Why: Most common English usage places the idiom “last but not least”
> between commas if it is in the middle of a sentence.  At the beginning
> of a sentence “Last but not least” has a comma immediately after.
>
>
>
> Old:/This classification could be done by the load balancer (see Figure
> 6), possibility directed by a TSFF (not shown), if it initiates the
> service change selection, or if the traffic can be reclassified at the
> load balancer if the traffic is already embedded in a Service Chain
> (e.g. when combined with other functions such as the TCP optimization in
> the following use case)./
>
>
>
> New: (suggestion):/
>
> ·         the load balancer (see figure 6),
>
> ·         possibility directed by the TSFF (not shown in figure 6) – if
> it initiates the service change selection,
>
> ·         load balancer as part of a reclassification– if the traffic is
> already embedded in a Service chain (e.g. when combined with other
> functions such as the TCP optimization in the following use case.
>
> /
>
>
>
> Why: Most of your sentences are easy to read and clear, but this
> sentence was hard to read and unclear.  Perhaps you could retain most of
> the original text with this simple formatting changes.  The technical
> points in the sentence are very valuable.
>
>
>
> #8 – Section 4, paragraph 1, sentence 3
>
>
>
> You do not introduce St in [TS.23.203] as abbreviation or reference
> point.  Please clarify this point.
>
>
>
>
>
> Sue Hares
>
> [email-masked] <mailto:[email-masked]>
>
>
>